<?xml version="1.0" encoding="UTF-8"?>
<project name="fr.cs.leplessis.example.list.source" default="build.update.jar" basedir=".">

	<target name="init">
		<property name="feature.temp.folder" value="${basedir}/feature.temp.folder"/>
		<property name="feature.destination" value="${basedir}"/>
	</target>

	<target name="all.plugins" depends="init">
		<ant antfile="build.xml" dir="plugins/fr.cs.leplessis.example.list.src" target="${target}">
		</ant>
		<ant antfile="build.xml" dir="../fr.cs.leplessis.example.list" target="${target}">
		</ant>
	</target>
	<target name="all.features" depends="init">
	</target>
	<target name="update.feature" depends="init">
	</target>

	<target name="all.children" depends="init,all.features,all.plugins,update.feature">
	</target>

	<target name="children" if="include.children">
		<antcall target="all.children"/>
	</target>

	<target name="build.jars" depends="init" description="Build all the jars for the feature: fr.cs.leplessis.example.list.source.">
		<antcall target="all.children">
			<param name="target" value="build.jars"/>
		</antcall>
	</target>

	<target name="build.sources" depends="init">
		<antcall target="all.children">
			<param name="target" value="build.sources"/>
		</antcall>
	</target>

	<target name="build.zips" depends="init">
		<antcall target="all.children">
			<param name="target" value="build.zips"/>
		</antcall>
	</target>

	<target name="build.update.jar" depends="init" description="Build the feature jar of: fr.cs.leplessis.example.list.source for an update site.">
		<antcall target="all.children">
			<param name="target" value="build.update.jar"/>
		</antcall>
		<property name="feature.base" value="${feature.temp.folder}"/>
		<delete dir="${feature.temp.folder}"/>
		<mkdir dir="${feature.temp.folder}"/>
		<antcall target="gather.bin.parts" inheritAll="false">
			<param name="arch" value="*"/>
			<param name="ws" value="*"/>
			<param name="nl" value="*"/>
			<param name="os" value="*"/>
			<param name="feature.base" value="${feature.temp.folder}"/>
		</antcall>
		<jar destfile="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.jar" basedir="${feature.temp.folder}/features/fr.cs.leplessis.example.list.source_1.0.0"/>
		<delete dir="${feature.temp.folder}"/>
	</target>

	<target name="gather.bin.parts" depends="init" if="feature.base">
		<mkdir dir="${feature.base}/features/fr.cs.leplessis.example.list.source_1.0.0"/>
		<antcall target="children">
			<param name="destination.temp.folder" value="${feature.base}/plugins"/>
			<param name="target" value="gather.bin.parts"/>
		</antcall>
		<copy todir="${feature.base}/features/fr.cs.leplessis.example.list.source_1.0.0" failonerror="true" overwrite="false">
			<fileset dir="${basedir}">
				<include name="feature.xml"/>
			</fileset>
		</copy>
		<eclipse.idReplacer featureFilePath="${feature.base}/features/fr.cs.leplessis.example.list.source_1.0.0/feature.xml"  selfVersion="1.0.0" featureIds="" pluginIds="fr.cs.leplessis.example.list:0.0.0,1.0.0,fr.cs.leplessis.example.list.src:0.0.0,1.0.0,"/>
		<antcall target="rootFiles${os}_${ws}_${arch}"/>
	</target>
	<target name="rootFiles*_*_*">
	</target>
	<target name="rootFilesgroup_group_group">
		<antcall target="rootFiles*_*_*"/>
	</target>

	<target name="zip.distribution" depends="init" description="Create a zip containing all the plug-ins and features for the feature: fr.cs.leplessis.example.list.source.">
		<delete dir="${feature.temp.folder}"/>
		<mkdir dir="${feature.temp.folder}"/>
		<antcall target="gather.bin.parts">
			<param name="arch" value="*"/>
			<param name="ws" value="*"/>
			<param name="nl" value="*"/>
			<param name="include.children" value="true"/>
			<param name="feature.base" value="${feature.temp.folder}"/>
			<param name="os" value="*"/>
		</antcall>
		<zip destfile="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.bin.dist.zip" basedir="${feature.temp.folder}" filesonly="false" whenempty="skip" update="false"/>
		<delete dir="${feature.temp.folder}"/>
	</target>

	<target name="zip.sources" depends="init">
		<delete dir="${feature.temp.folder}"/>
		<mkdir dir="${feature.temp.folder}"/>
		<antcall target="all.children">
			<param name="destination.temp.folder" value="${feature.temp.folder}/plugins/fr.cs.leplessis.example.list.source.source_1.0.0/src"/>
			<param name="include.children" value="true"/>
			<param name="target" value="gather.sources"/>
		</antcall>
		<zip destfile="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.src.zip" basedir="${feature.temp.folder}" filesonly="true" whenempty="skip" update="false"/>
		<delete dir="${feature.temp.folder}"/>
	</target>

	<target name="zip.logs" depends="init">
		<delete dir="${feature.temp.folder}"/>
		<mkdir dir="${feature.temp.folder}"/>
		<antcall target="all.children" inheritAll="false">
			<param name="destination.temp.folder" value="${feature.temp.folder}/plugins"/>
			<param name="include.children" value="true"/>
			<param name="target" value="gather.logs"/>
		</antcall>
		<zip destfile="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.log.zip" basedir="${feature.temp.folder}" filesonly="true" whenempty="skip" update="false"/>
		<delete dir="${feature.temp.folder}"/>
	</target>

	<target name="clean" depends="init" description="Clean the feature: fr.cs.leplessis.example.list.source of all the zips, jars and logs created.">
		<delete file="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.jar"/>
		<delete file="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.bin.dist.zip"/>
		<delete file="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.log.zip"/>
		<delete file="${feature.destination}/fr.cs.leplessis.example.list.source_1.0.0.src.zip"/>
		<delete dir="${feature.temp.folder}"/>
		<antcall target="all.children">
			<param name="target" value="clean"/>
		</antcall>
	</target>

	<target name="refresh" depends="init" if="eclipse.running" description="Refresh this folder.">
		<eclipse.convertPath fileSystemPath="/local/vmahe/OpenEmbeDD_DEV/fr.cs.leplessis.example.list.source/" property="resourcePath"/>
		<eclipse.refreshLocal resource="${resourcePath}" depth="infinite"/>
		<antcall target="all.children">
			<param name="target" value="refresh"/>
		</antcall>
	</target>
	<target name="gather.sources">
		<antcall target="children">
			<param name="destination.temp.folder" value="${feature.temp.folder}/plugins/fr.cs.leplessis.example.list.source.source_1.0.0/src"/>
			<param name="target" value="gather.sources"/>
		</antcall>
	</target>

	<target name="gather.logs" depends="init">
		<mkdir dir="${feature.temp.folder}"/>
		<antcall target="all.children" inheritAll="false">
			<param name="destination.temp.folder" value="${feature.temp.folder}/plugins"/>
			<param name="target" value="gather.logs"/>
		</antcall>
	</target>

</project>
